Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2136238 - Review Request: mingw-python-pep517 - MinGW Python pep517 library
Summary: Review Request: mingw-python-pep517 - MinGW Python pep517 library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sandro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-10-19 17:26 UTC by Sandro Mani
Modified: 2022-11-01 11:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-01 11:05:24 UTC
Type: ---
Embargoed:
gui1ty: fedora-review+


Attachments (Terms of Use)

Comment 1 Sandro 2022-10-20 14:13:24 UTC
I take this one.

Comment 2 Sandro 2022-10-20 15:16:07 UTC
This package requires mingw32-python3-build and mingw64-python3-build provided by mingw-python-build (BZ#2136235), which has not yet been reviewed. I saw that this available in you Copr repo. Maybe I should start with that review first.?

Comment 4 Sandro 2022-10-21 19:07:06 UTC
Issue:

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "MIT License", "*No copyright* MIT
     License", "Apache License 2.0". 51 files have unknown license.
     Detailed output of licensecheck in /var/lib/copr-
     rpmbuild/results/mingw-python-pep517/licensecheck.txt

=> Please add Apache license in spec file.

Question:

[!]: %check is present and all tests pass.

The PyPI tarball does include tests. What's the reason %check has been omitted entirely?


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "MIT License", "*No copyright* MIT
     License", "Apache License 2.0". 51 files have unknown license.
     Detailed output of licensecheck in /var/lib/copr-
     rpmbuild/results/mingw-python-pep517/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: %check is present and all tests pass.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://files.pythonhosted.org/packages/source/p/pep517/pep517-0.13.0.tar.gz :
  CHECKSUM(SHA256) this package     : ae69927c5c172be1add9203726d4b84cf3ebad1edcd5f71fcdc746e66e829f59
  CHECKSUM(SHA256) upstream package : ae69927c5c172be1add9203726d4b84cf3ebad1edcd5f71fcdc746e66e829f59


Requires
--------
mingw32-python3-pep517 (rpmlib, GLIBC filtered):
    mingw32(python(abi))

mingw64-python3-pep517 (rpmlib, GLIBC filtered):
    mingw64(python(abi))



Provides
--------
mingw32-python3-pep517:
    mingw32(python3.10dist(pep517))
    mingw32(python3dist(pep517))
    mingw32-python3-pep517

mingw64-python3-pep517:
    mingw64(python3.10dist(pep517))
    mingw64(python3dist(pep517))
    mingw64-python3-pep517



Generated by fedora-review 0.8.0 (e988316) last change: 2022-04-07
Command line :/usr/bin/fedora-review --no-colors --prebuilt --rpm-spec --name mingw-python-pep517 --mock-config /var/lib/copr-rpmbuild/results/configs/child.cfg
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: C/C++, PHP, Perl, Haskell, Java, Ocaml, R, fonts, SugarActivity, Python
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 5 Sandro Mani 2022-10-21 19:34:01 UTC
Spec URL: https://smani.fedorapeople.org/review/mingw-python-pep517.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-python-pep517-0.13.0-2.fc38~bootstrap.src.rpm

%changelog
* Fri Oct 21 2022 Sandro Mani <manisandro> - 0.13.0-2
- License is MIT AND Apache-2.0


Tests: as explained in #2136237.

Comment 6 Sandro 2022-10-30 13:25:53 UTC
One last nitpick:

- README.md is missing in %files
=> tarball provides README.md. Please include it as %doc

Going by your Copr build the dependencies will work out and everything builds. I'm not gonna redo that exercise.

Package is approved.

Comment 7 Sandro Mani 2022-10-30 18:21:39 UTC
Thanks - regarding the README, for MinGW there is a guideline to avoid packaging documentation which is already shipped by the native package [1].

[1] https://docs.fedoraproject.org/en-US/packaging-guidelines/MinGW/#_files_which_are_already_part_of_native_packages

Comment 8 Gwyn Ciesla 2022-10-31 17:16:16 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mingw-python-pep517

Comment 9 Fedora Update System 2022-11-01 10:58:18 UTC
FEDORA-2022-f7a5568776 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-f7a5568776

Comment 10 Fedora Update System 2022-11-01 11:05:24 UTC
FEDORA-2022-f7a5568776 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.